# Cluster Dashboard

Una dashboard web moderna per il cluster "steffe" per il progetto di calcolo parallelo del prof. Durastante.

## Features

-   ⚡️ [Go Fiber](https://github.com/gofiber/fiber)
-   📦 [ViteJS](http://vitejs.dev/)
-   🎨 [Sass](https://sass-lang.com/)

## Architecture

Questo progetto è stato generato dal template, alcune informazioni sull'architettura di questo progetto si trovano su <https://github.com/aziis98/go-vite-kit>

## Usage

To setup the project first install the required npm packages

```bash
# Install all JS dependencies
$ npm install
```

then you can start versioning the **lock file** of your package manager.

### Development

```bash
# Development
$ MODE=dev go run -v ./cmd/server

# Development with watcher
$ fd -e go | MODE=dev entr -r go run -v ./cmd/server
```

### Production

You can build everything with the following command, it will build first the frontend and then the backend and generate `./out/server`. 

```bash
$ npm run build
$ go build -o ./out/server ./cmd/server

# Run
$ ./out/server
```
