package routes

import "git.phc.dm.unipi.it/phc/cluster-dashboard/backend/database"

// Router is the main service that defines all routes, this only depends on the Database service
type Service struct {
	Database database.Database
}

type htmlEntrypoint struct {
	Route    string `json:"route"`
	Filename string `json:"filename"`
}

var HtmlEntrypoints = []htmlEntrypoint{
	{"/", "./index.html"},
	{"/dashboard", "./index.html"},
	{"/jobs", "./index.html"},
}
