package main

import (
	"encoding/json"
	"log"
	"os"

	"git.phc.dm.unipi.it/phc/cluster-dashboard/backend/routes"
)

func main() {
	enc := json.NewEncoder(os.Stdout)
	enc.SetIndent("", "  ")
	if err := enc.Encode(routes.HtmlEntrypoints); err != nil {
		log.Fatal(err)
	}
}
